# $Revision: 1.23 $, $Date: 2001/09/10 00:38:17 $
%include	/usr/lib/rpm/macros.perl
Summary:	A text formatting package based on SGML
Summary(de):	Textformatierungssystem, das vom Linux Documentation Project benutzt wird
Summary(fr):	Systme de formattage de texte utilis par le Linux Documentation Project
Summary(nl):	Tekstformateringssysteem welke door het Linux Documentatie Project wordt gebruikt
Summary(pl):	Narzdzia konwerujce do linuxdoc-dtd
Summary(tr):	GNU belge biimlendirme sistemi
Name:		sgml-tools
Version:	1.0.9
Release:	12
License:	Dreeware
Group:		Applications/Publishing/SGML
Group(de):	Applikationen/Publizieren/SGML
Group(pl):	Aplikacje/Publikowanie/SGML
Source0:	http://www.consultronics.com/~cdegroot/sgmltools/dist/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-egcs.patch
Patch1:		%{name}-%{version}-fixsgml2latex.patch
Patch2:		%{name}-%{version}-fixconfigure.patch
Patch3:		%{name}-buildroot.patch
Patch4:		%{name}-manfix.patch
Patch5:		%{name}-%{version}-jtz.patch
URL:		http://www.sgmltools.org
Requires:	/usr/bin/nsgmls
Requires:	sgmls
Obsoletes:	linuxdoc-sgml
BuildRequires:	openjade
BuildRequires:	autoconf
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SGMLtools is a text formatting package based on SGML (Standard
Generalized Markup Language). SGMLtools allows you to produce LaTeX,
HTML, GNU info, LyX, RTF, plain text (via groff), and other format
outputs from a single SGML source. SGMLtools is intended for writing
technical software documentation.

%description -l de
SGMLtools ist ein Textformatierer auf SGML-Basis, der eine Vielzahl
von Ausgabeformaten erzeugen kann. Sie knnen aus einer einzigen
SGML-Quelldatei PostScript-, dvi- (mit LaTeX), Nur-Text- (mit groff),
HTML- und texinfo-Dateien erstellen.

%description -l fr
SGMLtools est un formatteur de texte bas sur SGML qui vous permet de
produire de nombreux formats de fichiers de sortie. vous pouvez crer
du PostScript et du dvi (avec LaTeX), du texte simple (avec groff), du
HTML, et des fichiers texinfo depuis un simple fichier SGML.

%description -l pl
SGMLtools jest bazujcym na SGML (a dokadniej na LinuxDoc) pakietem
sucym do formatowania tekstu. Wchodzce w skad pakietu narzdzia
pozwalaj na wygenerowanie ze rda w SGML dokumentw w formatach
LaTeX, HTML, GNU info, LyX, RTF, tekstowym (przy uyciu groff-a).
SGMLtools przeznaczone s do pisania dokumentacji technicznej
oprogramowania.

%description -l tr
SGMLtools, SGML tabanl deiik biimlerde ktlar retmenizi
salayan bir metin biimleyicisidir. PostScript, dvi (LaTeX ile), dz
metin (groff ile), HTML dosyalarn tek bir SGML kaynak dosyasndan
yaratabilirsiniz.

%description -l nl
SGMLtools is een op SGML gebaseerd tekstverwerkingssyteem waarmee een
aantal verschillende andere bestanden kan worden gemaakt. Uitvoer is
mogelijk in: ASCII, DVI, HTML, LaTeX, PostScript en RTF (Windows help)

%package dtd
Summary:	linuxdoc DTD
Summary(pl):	linuxdoc DTD
Group:		Applications/Publishing/SGML
Group(de):	Applikationen/Publizieren/SGML
Group(pl):	Aplikacje/Publikowanie/SGML

%description dtd
LinuxDoc DTD.

%description -l pl dtd
LinuxDoc DTD.

%package -n  sgmls
Summary:	sgmls
Summary(pl):	sgmls
Version:	1.1
Group:		Applications/Publishing/SGML
Group(de):	Applikationen/Publizieren/SGML
Group(pl):	Aplikacje/Publikowanie/SGML

%description -n sgmls
sgmls - a validating SGML parser.

%description -l pl -n sgmls
sgmls - parser sprawdzajcy poprawno SGML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd sgmls-1.1
	%{__make} config.h \
		 prefix=$RPM_BUILD_ROOT%{_prefix} \
		 mandir=$RPM_BUILD_ROOT%{_mandir}
	%{__make} CFLAGS="%{rpmcflags}" \
                 prefix=$RPM_BUILD_ROOT%{_prefix} \
                 mandir=$RPM_BUILD_ROOT%{_mandir}
cd ..

(cd entity-map ; autoconf)
(cd iso-entities ; autoconf)
autoconf
%configure \
	--with-installed-nsgmls \
	--libdir=$RPM_BUILD_ROOT%{_libdir}/sgml-tools \
	--datadir=$RPM_BUILD_ROOT%{_libdir}
  
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/sgml-tools \
       datadir=$RPM_BUILD_ROOT%{_libdir}

cd sgmls-1.1
	%{__make} install \
                 prefix=$RPM_BUILD_ROOT%{_prefix} \
                 mandir=$RPM_BUILD_ROOT%{_mandir}
	%{__make} install.man \
                 prefix=$RPM_BUILD_ROOT%{_prefix} \
                 mandir=$RPM_BUILD_ROOT%{_mandir}
cd ..

install sgmls-1.1/sgmls         $RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/sgmls.pl      $RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/rast          $RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/sgmls.man     $RPM_BUILD_ROOT%{_mandir}/man1/sgmls.1
install sgmls-1.1/sgmlsasp.man  $RPM_BUILD_ROOT%{_mandir}/man1/sgmlsasp.1
install sgmls-1.1/rast.man      $RPM_BUILD_ROOT%{_mandir}/man1/rast.1

install -d $RPM_BUILD_ROOT%{_datadir}/sgml/sgml-tools
install $RPM_BUILD_ROOT%{_libdir}/sgml-tools/dtd/* $RPM_BUILD_ROOT%{_datadir}/sgml/sgml-tools

gzip -9nf sgmls-1.1/LICENSE sgmls-1.1/NEWS

find $RPM_BUILD_ROOT%{_bindir} -type f -o -type l | \
	grep -v nsgmls | sed "s|$RPM_BUILD_ROOT||g" > file.list

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

%post
cd /usr/lib/sgml-tools
ln -f -s -n ../../share/sgml/sgml-tools/ dtd

%preun
if [ -L /usr/lib/sgml-tools/dtd ]; then
        rm -rf /usr/lib/sgml-tools/dtd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{html,guide*,example*,Makedoc.sh,README}
%{_libdir}/sgml
%{_libdir}/sgml-tools
%dir %{_libdir}/perl5/Text
%{_libdir}/perl5/Text/EntityMap.pm
%attr(755,root,root) %{_bindir}/rtf2rtf
%attr(755,root,root) %{_bindir}/sgmlpre
%attr(755,root,root) %{_bindir}/sgml2*
%attr(755,root,root) %{_bindir}/sgmltools.v1
%attr(755,root,root) %{_bindir}/sgmlcheck

%{_mandir}/man1/sgml2*.1*
%{_mandir}/man1/sgmlcheck.1*
%{_mandir}/man1/sgmltools.1*

%files -n sgmls
%defattr(644,root,root,755)
%doc sgmls-1.1/LICENSE.gz sgmls-1.1/NEWS.gz
%attr(755,root,root) %{_bindir}/rast
%attr(755,root,root) %{_bindir}/sgmls
%attr(755,root,root) %{_bindir}/sgmlsasp
%attr(755,root,root) %{_bindir}/sgmls.pl

%{_mandir}/man1/rast.1*
%{_mandir}/man1/sgmls.1*
%{_mandir}/man1/sgmlsasp.1*

%files dtd
%defattr(644,root,root,755)
%{_datadir}/sgml/sgml-tools
%{_libdir}/entity-map

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sgml-tools.spec,v $
Revision 1.23  2001/09/10 00:38:17  kloczek
- release 12.

Revision 1.22  2001/09/09 22:11:41  klakier
- requires sgmls

Revision 1.21  2001/07/16 00:11:31  qboosh
- run autoconf in 3 dirs (for new %%configure macro)

Revision 1.20  2001/07/15 16:45:28  qboosh
- added %%{_libdir}/perl5/Text dir (it's the only package that uses it)
- release 11

Revision 1.19  2001/04/17 12:19:12  baggins
- release 10
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/03/28 01:42:38  qboosh
- use rpm features (gzipping, stripping, macros)
- adapterized and some cosmetics

Revision 1.16  2000/12/28 15:21:03  baggins
- quiet setup
- use RPM_OPT_FLAGS

Revision 1.15  2000/12/04 10:29:08  mguevara
- 1.0.9 version
- jtz patch for JTZ project of HOWTO translations to Polish
- some (but not all) patches from RawHide

Revision 1.14  2000/08/11 10:08:45  mis
- added /usr/bin/nsgmls requirement

Revision 1.13  2000/06/25 11:29:57  klakier
- doc fixed

Revision 1.12  2000/06/25 11:08:36  klakier
- release 6
- doc rebuilding disabled (requires sgml-tools already installed)

Revision 1.11  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 13:46:33  cieciwa
- fixed BuildRequires.

Revision 1.9  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  1999/07/28 12:51:11  kloczek
- fix: %postun (s/fi/if/).

Revision 1.6  1999/07/28 12:38:48  kloczek
- fixed %pst, %preun scripts (bash is nor required now).

Revision 1.5  1999/07/28 12:17:40  kloczek
- added Group(pl),
- cosmetic changes.

Revision 1.4  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.3  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Sep 8 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
- removed nsgmls (provides by jade)
- removed Entity Maps (provides by sgml-common)
- dtd moved to separate noarch package
- sgmls moved to separate binary package

* Wed Jul 01 1998 Hugo van der Kooij <hvdkooij@nllgg.nl>
- Updated to 1.0.7
- Removed the (silly) patch (thank you Donny, but Cees and I are Dutch ;-)

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>

- changed default papersize to letter (from a4...sorry Europeans :-)
 use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

  * Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
  - updated to 1.0.6

  * Fri Apr 24 1998 Prospector System <bugs@redhat.com>
  - translations modified for de, fr, tr

  * Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
  - updated from 0.99 to 1.0.3
  - added BuildRoot

  * Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
  - fixed man pages

  * Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
  
